Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class UserManager

    java.lang.Object
      oracle.ifs.core.util.UserManager

    public final class UserManager

extends java.lang.Object

UserManager is an utility class to create and delete iFS users, including all the user-related objects.

Creating an iFS user involves creating a CredentialManager user, DirectoryUser, a home folder, a content quota, a primary user profile, and associated objects. Values for the various options can be specified in a Hashtable. These Hashtable values would override the defaults found in the PropertyBundle, IFS.ADK.CreateUserDefinitions. If the values are not specified, the defaults are used.

Deleting an iFS user involves freeing the home folder, the CredentialManager user, DirectoryUser. There exists the option of freeing objects owned by the user or changing the ownership to a specified valid user. Values for the various options would be specifed in a Hashtable.

The Hashtable default values are specified in the below.

(Published)

Field Summary
`static java.lang.String` | `ACL_BUNDLE_ALL_PUBLISHED` No default.
`static java.lang.String` | `ACL_BUNDLE_FOR_ADMIN` No default.
`static java.lang.String` | `ADMIN_ENABLED` Defaults to FALSE.
`static java.lang.String` | `CAN_CHANGE_PASSWORD` Defaults to TRUE.
`static java.lang.String` | `CHANGE_OWNER` Delete user option - defaults to FALSE.
`static java.lang.String` | `CONTENT_QUOTA_ACL` Defaults to Private.
`static java.lang.String` | `CONTENT_QUOTA_ALLOCATED_STORAGE` Defaults to 25 MB.
`static java.lang.String` | `CONTENT_QUOTA_ENABLED` Defaults to FALSE.
`static java.lang.String` | `CONTENT_QUOTA_NAME` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `CONTENT_QUOTA_NAME_PREFIX` No default.
`static java.lang.String` | `CONTENT_QUOTA_NAME_SUFFIX` Defaults to ' Content Quota'.
`static java.lang.String` | `CREDENTIAL_MANAGER` Defaults to 'Ifs' for which credential manager to use for access to the authentication engine.
`static java.lang.String` | `DEFAULT_ACLS` Defaults to 'AclBundleAllPublished' for non-Admin and 'AclBundleForAdmin' for Admin users.
`static java.lang.String` | `DEFAULT_ACLS_BUNDLE_ACL` Defaults to Published.
`static java.lang.String` | `DEFAULT_ACLS_BUNDLE_NAME` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `DEFAULT_ACLS_BUNDLE_NAME_PREFIX` No default.
`static java.lang.String` | `DEFAULT_ACLS_BUNDLE_NAME_SUFFIX` Defaults to ' DefaultACLs'.
`static java.lang.String` | `DIRECTORY_USER_ACL` Defaults to Published.
`static java.lang.String` | `DIRECTORY_USER_DESCRIPTION` Defaults to null.
`static java.lang.String` | `DISTINGUISHED_NAME` Used if SHOULD_CREATE_CREDENTIAL_MANAGER_USER is false.
`static java.lang.String` | `EMAIL_ADDRESS` No default.
`static java.lang.String` | `FREE_CREDENTIAL_MANAGER_USER` Delete user option - defaults to FALSE.
`static java.lang.String` | `FREE_DIRECTORY_USER` Delete user option - defaults to TRUE (for backwards compatibility).
`static java.lang.String` | `FREE_HOME_FOLDER` Delete user option - defaults to FALSE.
`static java.lang.String` | `FREE_POLICY_BUNDLE` Delete user option - defaults to FALSE.
`static java.lang.String` | `HAS_CONTENT_QUOTA` Defaults to TRUE.
`static java.lang.String` | `HAS_HOME_FOLDER` Defaults to TRUE.
`static java.lang.String` | `HAS_PRIMARY_USER_PROFILE` Defaults to TRUE.
`static java.lang.String` | `HOME_FOLDER_ACL` Defaults to Private.
`static java.lang.String` | `HOME_FOLDER_DESCRIPTION` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `HOME_FOLDER_DESCRIPTION_PREFIX` No default.
`static java.lang.String` | `HOME_FOLDER_DESCRIPTION_SUFFIX` Defaults to ''s home folder'.
`static java.lang.String` | `HOME_FOLDER_HAS_POLICY_BUNDLE` Defaults to TRUE.
`static java.lang.String` | `HOME_FOLDER_NAME` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `HOME_FOLDER_NAME_PREFIX` No default.
`static java.lang.String` | `HOME_FOLDER_NAME_SUFFIX` No default.
`static java.lang.String` | `HOME_FOLDER_POLICY_BUNDLE_ACL` Defaults to Published.
`static java.lang.String` | `HOME_FOLDER_POLICY_BUNDLE_NAME` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `HOME_FOLDER_POLICY_BUNDLE_NAME_PREFIX` No default.
`static java.lang.String` | `HOME_FOLDER_POLICY_BUNDLE_NAME_SUFFIX` Defaults to 'Policy Bundle for Homefolder'.
`static java.lang.String` | `HOME_FOLDER_ROOT` Defaults to '/home'.
`protected boolean` | `m_AdminEnabled`
`protected boolean` | `m_CanChangePassword`
`protected boolean` | `m_ChangeOwner`
`protected AccessControlList` | `m_ContentQuotaAcl`
`protected long` | `m_ContentQuotaAllocatedStorage`
`protected boolean` | `m_ContentQuotaEnabled`
`protected java.lang.String` | `m_ContentQuotaName`
`protected java.lang.String` | `m_ContentQuotaNamePrefix`
`protected java.lang.String` | `m_ContentQuotaNameSuffix`
`protected ContentQuota` | `m_CreatedContentQuota`
`protected PropertyBundle` | `m_CreatedDefaultAclsPropertyBundle`
`protected DirectoryUser` | `m_CreatedDirectoryUser`
`protected Folder` | `m_CreatedHomeFolder`
`protected PolicyPropertyBundle` | `m_CreatedPolicyPropertyBundle`
`protected PrimaryUserProfile` | `m_CreatedPrimaryUserProfile`
`protected static java.util.Hashtable` | `m_CreateUserOptionRegistry`
`protected java.lang.String` | `m_CredentialManager`
`protected java.lang.String` | `m_DefaultAcls`
`protected AccessControlList` | `m_DefaultAclsBundleAcl`
`protected java.lang.String` | `m_DefaultAclsBundleName`
`protected java.lang.String` | `m_DefaultAclsBundleNamePrefix`
`protected java.lang.String` | `m_DefaultAclsBundleNameSuffix`
`protected java.util.Hashtable` | `m_DefaultAclsTable`
`protected AccessControlList` | `m_DirectoryUserAcl`
`protected java.lang.String` | `m_DirectoryUserDescription`
`protected java.lang.String` | `m_DistinguishedName`
`protected java.lang.String` | `m_EmailAddress`
`protected boolean` | `m_FreeCredentialManagerUser`
`protected boolean` | `m_FreeDirectoryUser`
`protected boolean` | `m_FreeHomeFolder`
`protected boolean` | `m_FreePolicyBundle`
`protected boolean` | `m_HasContentQuota`
`protected boolean` | `m_HasHomeFolder`
`protected boolean` | `m_HasPrimaryUserProfile`
`protected AccessControlList` | `m_HomeFolderAcl`
`protected java.lang.String` | `m_HomeFolderDescription`
`protected java.lang.String` | `m_HomeFolderDescriptionPrefix`
`protected java.lang.String` | `m_HomeFolderDescriptionSuffix`
`protected boolean` | `m_HomeFolderHasPolicyBundle`
`protected java.lang.String` | `m_HomeFolderName`
`protected java.lang.String` | `m_HomeFolderNamePrefix`
`protected java.lang.String` | `m_HomeFolderNameSuffix`
`protected AccessControlList` | `m_HomeFolderPolicyBundleAcl`
`protected java.lang.String` | `m_HomeFolderPolicyBundleName`
`protected java.lang.String` | `m_HomeFolderPolicyBundleNamePrefix`
`protected java.lang.String` | `m_HomeFolderPolicyBundleNameSuffix`
`protected java.lang.String` | `m_HomeFolderRoot`
`protected java.lang.String` | `m_NewOwnerUserName`
`protected java.lang.String` | `m_Password`
`protected AccessControlList` | `m_PrimaryUserProfileAcl`
`protected java.lang.String` | `m_PrimaryUserProfileCharacterSet`
`protected java.lang.String` | `m_PrimaryUserProfileDisplayName`
`protected java.lang.String` | `m_PrimaryUserProfileLanguage`
`protected java.lang.String` | `m_PrimaryUserProfileLocale`
`protected java.lang.String` | `m_PrimaryUserProfileName`
`protected java.lang.String` | `m_PrimaryUserProfileNamePrefix`
`protected java.lang.String` | `m_PrimaryUserProfileNameSuffix`
`protected java.lang.String` | `m_PrimaryUserProfileTimeZone`
`protected boolean` | `m_ReadIndicationEnabled`
`protected boolean` | `m_ReplaceCredentialManagerPassword`
`protected FolderPathResolver` | `m_Resolver`
`protected LibrarySession` | `m_Session`
`protected boolean` | `m_ShouldCreateCredentialManagerUser`
`protected boolean` | `m_SystemAdminEnabled`
`protected java.lang.String` | `m_UserClassName`
`protected java.lang.String` | `m_UserName`
`static java.lang.String` | `NEW_OWNER_USER_NAME` Delete user option - no default.
`static java.lang.String` | `PASSWORD` Password is required to be defined.
`static java.lang.String` | `PRIMARY_USER_PROFILE_ACL` Defaults to Private.
`static java.lang.String` | `PRIMARY_USER_PROFILE_CHARACTERSET` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `PRIMARY_USER_PROFILE_DISPLAYNAME` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `PRIMARY_USER_PROFILE_LANGUAGE` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `PRIMARY_USER_PROFILE_LOCALE` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `PRIMARY_USER_PROFILE_NAME` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `PRIMARY_USER_PROFILE_NAME_PREFIX` No default.
`static java.lang.String` | `PRIMARY_USER_PROFILE_NAME_SUFFIX` Defaults to ' Primary Profile'.
`static java.lang.String` | `PRIMARY_USER_PROFILE_TIMEZONE` If none specified, name is constructed from prefix + username + suffix.
`static java.lang.String` | `READ_INDICATION_ENABLED` Defaults to FALSE.
`static java.lang.String` | `REPLACE_CREDENTIAL_MANAGER_PASSWORD` Defaults to FALSE.
`static java.lang.String` | `SHOULD_CREATE_CREDENTIAL_MANAGER_USER` Defaults to TRUE.
`static java.lang.String` | `SYSTEM_ADMIN_ENABLED` Defaults to FALSE.
`static java.lang.String` | `USER_CLASSNAME` Password is required to be defined.
`static java.lang.String` | `USERNAME` UserName is required to be defined.

Constructor Summary
`UserManager(LibrarySession sess)` Construct UserManager object.

Method Summary
`protected void` | `clearCreatedObjects()` Resets objects to null.
`protected void` | `createContentQuota()` Creates an iFS ContentQuota object that would hold quota related information.
`protected void` | `createDirectoryServiceUser()` Create DS User.
`protected void` | `createDirectoryUser()` Creates an iFS DirectoryUser.
`protected void` | `createHomeFolder()` Creates an iFS Folder that would serve as the home folder for DirectoryUser being created.
`protected void` | `createPrimaryUserProfile()` Creates an iFS PrimaryUserProfile that would hold profile information for DirectoryUser being created.
`DirectoryUser` | `createUser(java.lang.String username, java.lang.String password, java.util.Hashtable options)` Creates a new iFS user.
`void` | `deleteUser(java.lang.String username, java.util.Hashtable options)` Deletes an iFS user.
`protected void` | `determineCreateUserSettings(PropertyBundle pb, java.util.Hashtable options)` Determines the settings for user creation, first using the values int the options Hashtable, second using the values in the PropertyBundle holding the default values.
`protected void` | `freeCredentialManagerUser(java.lang.String credentialManager, java.lang.String distinguishedName)` Frees the CredentialManager user.
`protected void` | `freeDirectoryUser(DirectoryUser user)` Frees the iFS DirectoryUser and changes ownership of existing objects if desired.
`protected void` | `freeHomeFolder(DirectoryUser user)` Frees the home folder.
`protected AccessControlList` | `getAclFromHashtable(java.util.Hashtable ht, java.lang.String key)` Allows for multiple specs of a Acl in the specified HT
`protected java.util.Hashtable` | `getAclHashtableProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key)` If a hashtable is specified explicitly, then life is easy; otherwise, we have to lookup the PropertyBundle from the specified key, and convert that PB to a Hashtable of Acls
`protected AccessControlList` | `getAclProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key)` Gets the ACL value from the options Hashtable if specified, otherwise from the PropertyBundle.
`protected java.lang.Boolean` | `getBooleanFromHashtable(java.util.Hashtable ht, java.lang.String key)` Allows for multiple specs of a Boolean in the specified HT
`protected java.lang.Boolean` | `getBooleanProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key)` Gets the boolean value from the options Hashtable if specified, or PropertyBundle, otherwise uses the default value passed in as a parameter.
`protected boolean` | `getBooleanProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key, boolean defaultValue)` Gets the boolean value from the options Hashtable if specified, otherwise from the PropertyBundle.
`protected java.lang.Integer` | `getIntegerFromHashtable(java.util.Hashtable ht, java.lang.String key)` Allows for multiple specs of a Integer in the specified HT
`protected java.lang.Integer` | `getIntegerProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key)` Gets the int value from the options Hashtable if specified, or PropertyBundle, otherwise uses the default value passed in as a parameter.
`protected int` | `getIntegerProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key, int defaultValue)` Gets the int value from the options Hashtable if specified, otherwise from the PropertyBundle.
`protected java.lang.Long` | `getLongFromHashtable(java.util.Hashtable ht, java.lang.String key)` Allows for multiple specs of a Long in the specified HT
`protected java.lang.Long` | `getLongProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key)` Gets the long value from the options Hashtable if specified, or PropertyBundle, otherwise uses the default value passed in as a parameter.
`protected long` | `getLongProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key, long defaultValue)` Gets the long value from the options Hashtable if specified, otherwise from the PropertyBundle.
`protected java.lang.String` | `getStringFromHashtable(java.util.Hashtable ht, java.lang.String key)` Allows for multiple specs of a String in the specified HT
`protected java.lang.String` | `getStringProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key)` Gets the String value from the options Hashtable if specified, otherwise from the PropertyBundle.
`protected java.lang.String` | `getStringProperty(PropertyBundle pb, java.util.Hashtable options, java.lang.String key, java.lang.String defaultValue)` Gets the String value from the options Hashtable if specified, or PropertyBundle, otherwise uses the default value passed in as a parameter.
`protected boolean` | `isDefinedInHashtable(java.util.Hashtable options, java.lang.String key)` Checks whether this key is defined int he Hashtable already.
`boolean` | `isValidCreateUserOption(java.lang.String optionName)` Checks if valid option.
`ClassDomain` | `lookupCreateUserOptionClassDomain(java.lang.String optionName)` Returns ClassDomain (if any; null if none) for the option
`int` | `lookupCreateUserOptionDatatype(java.lang.String optionName)` Returns Attribute.ATTRIBUTEDATATYPE_UNKNOWN if no such option; else returns datatypes defined in beans.Attribute
`protected DirectoryUser` | `lookupUser(java.lang.String username)` Looks up an iFS DirectoryUser, and throw an exception if not found.
`java.util.Hashtable` | `normalizeOptionsHashtable(java.util.Hashtable oldTable)` Normalizes the options Hashtable so that the keys are all uppercase.
`protected void` | `registerCreateUserOption(java.lang.String optionName, int datatype, ClassDomain domain)` Register one option.
`protected void` | `registerCreateUserOptions()` Registers the options for user creation.
`protected void` | `replaceDirectoryServicePassword()` Replaces DS password.
`protected java.lang.String` | `resolveName(java.lang.String wholeName, java.lang.String prefix, java.lang.String suffix)` Concatenates the prefix, name, suffix.
`protected void` | `rollbackDirectoryServiceUserCreation()` Deletes DS user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USERNAME

    public static final java.lang.String USERNAME

  Description copied from class: `UserManager`
  UserName is required to be defined. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PASSWORD

    public static final java.lang.String PASSWORD

  Description copied from class: `UserManager`
  Password is required to be defined. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### USER_CLASSNAME

    public static final java.lang.String USER_CLASSNAME

  Description copied from class: `UserManager`
  Password is required to be defined. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### SHOULD_CREATE_CREDENTIAL_MANAGER_USER

    public static final java.lang.String SHOULD_CREATE_CREDENTIAL_MANAGER_USER

  Description copied from class: `UserManager`
  Defaults to TRUE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### REPLACE_CREDENTIAL_MANAGER_PASSWORD

    public static final java.lang.String REPLACE_CREDENTIAL_MANAGER_PASSWORD

  Description copied from class: `UserManager`
  Defaults to FALSE. If using an existing credential manager user, set to TRUE to override the old password. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### CREDENTIAL_MANAGER

    public static final java.lang.String CREDENTIAL_MANAGER

  Description copied from class: `UserManager`
  Defaults to 'Ifs' for which credential manager to use for access to the authentication engine. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### CAN_CHANGE_PASSWORD

    public static final java.lang.String CAN_CHANGE_PASSWORD

  Description copied from class: `UserManager`
  Defaults to TRUE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### ADMIN_ENABLED

    public static final java.lang.String ADMIN_ENABLED

  Description copied from class: `UserManager`
  Defaults to FALSE. Set to TRUE if user should have admin privileges. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### SYSTEM_ADMIN_ENABLED

    public static final java.lang.String SYSTEM_ADMIN_ENABLED

  Description copied from class: `UserManager`
  Defaults to FALSE. Set to TRUE if user should have system admin privileges. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### HAS_PRIMARY_USER_PROFILE

    public static final java.lang.String HAS_PRIMARY_USER_PROFILE

  Description copied from class: `UserManager`
  Defaults to TRUE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### HAS_HOME_FOLDER

    public static final java.lang.String HAS_HOME_FOLDER

  Description copied from class: `UserManager`
  Defaults to TRUE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_ROOT

    public static final java.lang.String HOME_FOLDER_ROOT

  Description copied from class: `UserManager`
  Defaults to '/home'. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_HAS_POLICY_BUNDLE

    public static final java.lang.String HOME_FOLDER_HAS_POLICY_BUNDLE

  Description copied from class: `UserManager`
  Defaults to TRUE. Admin privileges are required to free the home folder. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### HAS_CONTENT_QUOTA

    public static final java.lang.String HAS_CONTENT_QUOTA

  Description copied from class: `UserManager`
  Defaults to TRUE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### CONTENT_QUOTA_ENABLED

    public static final java.lang.String CONTENT_QUOTA_ENABLED

  Description copied from class: `UserManager`
  Defaults to FALSE. Set to TRUE to enable the implemented content quota. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### CONTENT_QUOTA_ALLOCATED_STORAGE

    public static final java.lang.String CONTENT_QUOTA_ALLOCATED_STORAGE

  Description copied from class: `UserManager`
  Defaults to 25 MB. Use a Long object.

  See Also:
    Constant Field Values
  (Published)

### READ_INDICATION_ENABLED

    public static final java.lang.String READ_INDICATION_ENABLED

  Description copied from class: `UserManager`
  Defaults to FALSE. Set to TRUE if user should have read indication enabled. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### EMAIL_ADDRESS

    public static final java.lang.String EMAIL_ADDRESS

  Description copied from class: `UserManager`
  No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### DISTINGUISHED_NAME

    public static final java.lang.String DISTINGUISHED_NAME

  Description copied from class: `UserManager`
  Used if SHOULD_CREATE_CREDENTIAL_MANAGER_USER is false. No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_NAME

    public static final java.lang.String PRIMARY_USER_PROFILE_NAME

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### CONTENT_QUOTA_NAME

    public static final java.lang.String CONTENT_QUOTA_NAME

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_NAME

    public static final java.lang.String HOME_FOLDER_NAME

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_DESCRIPTION

    public static final java.lang.String HOME_FOLDER_DESCRIPTION

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### DEFAULT_ACLS_BUNDLE_NAME

    public static final java.lang.String DEFAULT_ACLS_BUNDLE_NAME

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_POLICY_BUNDLE_NAME

    public static final java.lang.String HOME_FOLDER_POLICY_BUNDLE_NAME

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_LANGUAGE

    public static final java.lang.String PRIMARY_USER_PROFILE_LANGUAGE

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_CHARACTERSET

    public static final java.lang.String PRIMARY_USER_PROFILE_CHARACTERSET

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_LOCALE

    public static final java.lang.String PRIMARY_USER_PROFILE_LOCALE

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_TIMEZONE

    public static final java.lang.String PRIMARY_USER_PROFILE_TIMEZONE

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_DISPLAYNAME

    public static final java.lang.String PRIMARY_USER_PROFILE_DISPLAYNAME

  Description copied from class: `UserManager`
  If none specified, name is constructed from prefix + username + suffix. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_NAME_PREFIX

    public static final java.lang.String PRIMARY_USER_PROFILE_NAME_PREFIX

  Description copied from class: `UserManager`
  No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### CONTENT_QUOTA_NAME_PREFIX

    public static final java.lang.String CONTENT_QUOTA_NAME_PREFIX

  Description copied from class: `UserManager`
  No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_NAME_PREFIX

    public static final java.lang.String HOME_FOLDER_NAME_PREFIX

  Description copied from class: `UserManager`
  No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_DESCRIPTION_PREFIX

    public static final java.lang.String HOME_FOLDER_DESCRIPTION_PREFIX

  Description copied from class: `UserManager`
  No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### DEFAULT_ACLS_BUNDLE_NAME_PREFIX

    public static final java.lang.String DEFAULT_ACLS_BUNDLE_NAME_PREFIX

  Description copied from class: `UserManager`
  No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_POLICY_BUNDLE_NAME_PREFIX

    public static final java.lang.String HOME_FOLDER_POLICY_BUNDLE_NAME_PREFIX

  Description copied from class: `UserManager`
  No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_NAME_SUFFIX

    public static final java.lang.String PRIMARY_USER_PROFILE_NAME_SUFFIX

  Description copied from class: `UserManager`
  Defaults to ' Primary Profile'. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### CONTENT_QUOTA_NAME_SUFFIX

    public static final java.lang.String CONTENT_QUOTA_NAME_SUFFIX

  Description copied from class: `UserManager`
  Defaults to ' Content Quota'. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_NAME_SUFFIX

    public static final java.lang.String HOME_FOLDER_NAME_SUFFIX

  Description copied from class: `UserManager`
  No default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_DESCRIPTION_SUFFIX

    public static final java.lang.String HOME_FOLDER_DESCRIPTION_SUFFIX

  Description copied from class: `UserManager`
  Defaults to ''s home folder'. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### DEFAULT_ACLS_BUNDLE_NAME_SUFFIX

    public static final java.lang.String DEFAULT_ACLS_BUNDLE_NAME_SUFFIX

  Description copied from class: `UserManager`
  Defaults to ' DefaultACLs'. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_POLICY_BUNDLE_NAME_SUFFIX

    public static final java.lang.String HOME_FOLDER_POLICY_BUNDLE_NAME_SUFFIX

  Description copied from class: `UserManager`
  Defaults to 'Policy Bundle for Homefolder'. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### DIRECTORY_USER_DESCRIPTION

    public static final java.lang.String DIRECTORY_USER_DESCRIPTION

  Description copied from class: `UserManager`
  Defaults to null. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### DIRECTORY_USER_ACL

    public static final java.lang.String DIRECTORY_USER_ACL

  Description copied from class: `UserManager`
  Defaults to Published. Use an AccessControlList object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_POLICY_BUNDLE_ACL

    public static final java.lang.String HOME_FOLDER_POLICY_BUNDLE_ACL

  Description copied from class: `UserManager`
  Defaults to Published. Use an AccessControlList object.

  See Also:
    Constant Field Values
  (Published)

### HOME_FOLDER_ACL

    public static final java.lang.String HOME_FOLDER_ACL

  Description copied from class: `UserManager`
  Defaults to Private. Use an AccessControlList object.

  See Also:
    Constant Field Values
  (Published)

### DEFAULT_ACLS_BUNDLE_ACL

    public static final java.lang.String DEFAULT_ACLS_BUNDLE_ACL

  Description copied from class: `UserManager`
  Defaults to Published. Use an AccessControlList object.

  See Also:
    Constant Field Values
  (Published)

### CONTENT_QUOTA_ACL

    public static final java.lang.String CONTENT_QUOTA_ACL

  Description copied from class: `UserManager`
  Defaults to Private. Use an AccessControlList object.

  See Also:
    Constant Field Values
  (Published)

### PRIMARY_USER_PROFILE_ACL

    public static final java.lang.String PRIMARY_USER_PROFILE_ACL

  Description copied from class: `UserManager`
  Defaults to Private. Use an AccessControlList object.

  See Also:
    Constant Field Values
  (Published)

### DEFAULT_ACLS

    public static final java.lang.String DEFAULT_ACLS

  Description copied from class: `UserManager`
  Defaults to 'AclBundleAllPublished' for non-Admin and 'AclBundleForAdmin' for Admin users. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### FREE_DIRECTORY_USER

    public static final java.lang.String FREE_DIRECTORY_USER

  Description copied from class: `UserManager`
  Delete user option - defaults to TRUE (for backwards compatibility). Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### FREE_CREDENTIAL_MANAGER_USER

    public static final java.lang.String FREE_CREDENTIAL_MANAGER_USER

  Description copied from class: `UserManager`
  Delete user option - defaults to FALSE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### FREE_HOME_FOLDER

    public static final java.lang.String FREE_HOME_FOLDER

  Description copied from class: `UserManager`
  Delete user option - defaults to FALSE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### FREE_POLICY_BUNDLE

    public static final java.lang.String FREE_POLICY_BUNDLE

  Description copied from class: `UserManager`
  Delete user option - defaults to FALSE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### CHANGE_OWNER

    public static final java.lang.String CHANGE_OWNER

  Description copied from class: `UserManager`
  Delete user option - defaults to FALSE. Use a Boolean object.

  See Also:
    Constant Field Values
  (Published)

### NEW_OWNER_USER_NAME

    public static final java.lang.String NEW_OWNER_USER_NAME

  Description copied from class: `UserManager`
  Delete user option - no default. Use a String object.

  See Also:
    Constant Field Values
  (Published)

### ACL_BUNDLE_ALL_PUBLISHED

    public static final java.lang.String ACL_BUNDLE_ALL_PUBLISHED

  Description copied from class: `UserManager`
  No default. Use a PropertyBundle object.

  See Also:
    Constant Field Values
  (Published)

### ACL_BUNDLE_FOR_ADMIN

    public static final java.lang.String ACL_BUNDLE_FOR_ADMIN

  Description copied from class: `UserManager`
  No default. Use a PropertyBundle object.

  See Also:
    Constant Field Values
  (Published)

### m_Session

    protected LibrarySession m_Session

(Unpublished)

### m_CreateUserOptionRegistry

    protected static java.util.Hashtable m_CreateUserOptionRegistry

(Unpublished)

### m_UserName

    protected java.lang.String m_UserName

(Unpublished)

### m_Password

    protected java.lang.String m_Password

(Unpublished)

### m_UserClassName

    protected java.lang.String m_UserClassName

(Unpublished)

### m_CredentialManager

    protected java.lang.String m_CredentialManager

(Unpublished)

### m_ShouldCreateCredentialManagerUser

    protected boolean m_ShouldCreateCredentialManagerUser

(Unpublished)

### m_ReplaceCredentialManagerPassword

    protected boolean m_ReplaceCredentialManagerPassword

(Unpublished)

### m_AdminEnabled

    protected boolean m_AdminEnabled

(Unpublished)

### m_SystemAdminEnabled

    protected boolean m_SystemAdminEnabled

(Unpublished)

### m_CanChangePassword

    protected boolean m_CanChangePassword

(Unpublished)

### m_HasPrimaryUserProfile

    protected boolean m_HasPrimaryUserProfile

(Unpublished)

### m_HasHomeFolder

    protected boolean m_HasHomeFolder

(Unpublished)

### m_HasContentQuota

    protected boolean m_HasContentQuota

(Unpublished)

### m_ContentQuotaEnabled

    protected boolean m_ContentQuotaEnabled

(Unpublished)

### m_ReadIndicationEnabled

    protected boolean m_ReadIndicationEnabled

(Unpublished)

### m_HomeFolderHasPolicyBundle

    protected boolean m_HomeFolderHasPolicyBundle

(Unpublished)

### m_ContentQuotaAllocatedStorage

    protected long m_ContentQuotaAllocatedStorage

(Unpublished)

### m_HomeFolderRoot

    protected java.lang.String m_HomeFolderRoot

(Unpublished)

### m_DirectoryUserAcl

    protected AccessControlList m_DirectoryUserAcl

(Unpublished)

### m_HomeFolderPolicyBundleAcl

    protected AccessControlList m_HomeFolderPolicyBundleAcl

(Unpublished)

### m_HomeFolderAcl

    protected AccessControlList m_HomeFolderAcl

(Unpublished)

### m_DefaultAclsBundleAcl

    protected AccessControlList m_DefaultAclsBundleAcl

(Unpublished)

### m_ContentQuotaAcl

    protected AccessControlList m_ContentQuotaAcl

(Unpublished)

### m_PrimaryUserProfileAcl

    protected AccessControlList m_PrimaryUserProfileAcl

(Unpublished)

### m_DistinguishedName

    protected java.lang.String m_DistinguishedName

(Unpublished)

### m_DirectoryUserDescription

    protected java.lang.String m_DirectoryUserDescription

(Unpublished)

### m_PrimaryUserProfileName

    protected java.lang.String m_PrimaryUserProfileName

(Unpublished)

### m_ContentQuotaName

    protected java.lang.String m_ContentQuotaName

(Unpublished)

### m_HomeFolderName

    protected java.lang.String m_HomeFolderName

(Unpublished)

### m_HomeFolderDescription

    protected java.lang.String m_HomeFolderDescription

(Unpublished)

### m_DefaultAclsBundleName

    protected java.lang.String m_DefaultAclsBundleName

(Unpublished)

### m_HomeFolderPolicyBundleName

    protected java.lang.String m_HomeFolderPolicyBundleName

(Unpublished)

### m_EmailAddress

    protected java.lang.String m_EmailAddress

(Unpublished)

### m_PrimaryUserProfileNamePrefix

    protected java.lang.String m_PrimaryUserProfileNamePrefix

(Unpublished)

### m_ContentQuotaNamePrefix

    protected java.lang.String m_ContentQuotaNamePrefix

(Unpublished)

### m_HomeFolderNamePrefix

    protected java.lang.String m_HomeFolderNamePrefix

(Unpublished)

### m_HomeFolderDescriptionPrefix

    protected java.lang.String m_HomeFolderDescriptionPrefix

(Unpublished)

### m_DefaultAclsBundleNamePrefix

    protected java.lang.String m_DefaultAclsBundleNamePrefix

(Unpublished)

### m_HomeFolderPolicyBundleNamePrefix

    protected java.lang.String m_HomeFolderPolicyBundleNamePrefix

(Unpublished)

### m_PrimaryUserProfileNameSuffix

    protected java.lang.String m_PrimaryUserProfileNameSuffix

(Unpublished)

### m_ContentQuotaNameSuffix

    protected java.lang.String m_ContentQuotaNameSuffix

(Unpublished)

### m_HomeFolderNameSuffix

    protected java.lang.String m_HomeFolderNameSuffix

(Unpublished)

### m_HomeFolderDescriptionSuffix

    protected java.lang.String m_HomeFolderDescriptionSuffix

(Unpublished)

### m_DefaultAclsBundleNameSuffix

    protected java.lang.String m_DefaultAclsBundleNameSuffix

(Unpublished)

### m_HomeFolderPolicyBundleNameSuffix

    protected java.lang.String m_HomeFolderPolicyBundleNameSuffix

(Unpublished)

### m_DefaultAcls

    protected java.lang.String m_DefaultAcls

(Unpublished)

### m_DefaultAclsTable

    protected java.util.Hashtable m_DefaultAclsTable

(Unpublished)

### m_CreatedDirectoryUser

    protected DirectoryUser m_CreatedDirectoryUser

(Unpublished)

### m_CreatedHomeFolder

    protected Folder m_CreatedHomeFolder

(Unpublished)

### m_CreatedContentQuota

    protected ContentQuota m_CreatedContentQuota

(Unpublished)

### m_CreatedPrimaryUserProfile

    protected PrimaryUserProfile m_CreatedPrimaryUserProfile

(Unpublished)

### m_CreatedPolicyPropertyBundle

    protected PolicyPropertyBundle m_CreatedPolicyPropertyBundle

(Unpublished)

### m_CreatedDefaultAclsPropertyBundle

    protected PropertyBundle m_CreatedDefaultAclsPropertyBundle

(Unpublished)

### m_Resolver

    protected FolderPathResolver m_Resolver

(Unpublished)

### m_ChangeOwner

    protected boolean m_ChangeOwner

(Unpublished)

### m_NewOwnerUserName

    protected java.lang.String m_NewOwnerUserName

(Unpublished)

### m_FreeDirectoryUser

    protected boolean m_FreeDirectoryUser

(Unpublished)

### m_FreeCredentialManagerUser

    protected boolean m_FreeCredentialManagerUser

(Unpublished)

### m_FreeHomeFolder

    protected boolean m_FreeHomeFolder

(Unpublished)

### m_FreePolicyBundle

    protected boolean m_FreePolicyBundle

(Unpublished)

### m_PrimaryUserProfileLanguage

    protected java.lang.String m_PrimaryUserProfileLanguage

(Unpublished)

### m_PrimaryUserProfileCharacterSet

    protected java.lang.String m_PrimaryUserProfileCharacterSet

(Unpublished)

### m_PrimaryUserProfileTimeZone

    protected java.lang.String m_PrimaryUserProfileTimeZone

(Unpublished)

### m_PrimaryUserProfileLocale

    protected java.lang.String m_PrimaryUserProfileLocale

(Unpublished)

### m_PrimaryUserProfileDisplayName

    protected java.lang.String m_PrimaryUserProfileDisplayName

(Unpublished)

Constructor Detail

### UserManager

    public UserManager(LibrarySession sess)
                throws IfsException

  Construct UserManager object.

  Parameters:
    `sess` - LibrarySession on which to manage users.
  Throws:
    `IfsException`
  (Published)

Method Detail

### createUser

    public DirectoryUser createUser(java.lang.String username,
                                    java.lang.String password,
                                    java.util.Hashtable options)
                             throws IfsException

  Description copied from class: `UserManager`
  Creates a new iFS user.

  Parameters:
    `username` - user name; can also be specified in the Hashtable as option UserName
    `password` - password; can also be specified in the Hashtable as option Password
    `options` - Hashtable of options which override the options contained in the named PropertyBundle IFS.ADK.CreateUserDefinitions.
  Returns:
    The newly created user.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### clearCreatedObjects

    protected void clearCreatedObjects()

  Description copied from class: `UserManager`
  Resets objects to null.

  (Unpublished)

### createDirectoryServiceUser

    protected void createDirectoryServiceUser()
                                       throws IfsException

  Description copied from class: `UserManager`
  Create DS User.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### replaceDirectoryServicePassword

    protected void replaceDirectoryServicePassword()
                                            throws IfsException

  Description copied from class: `UserManager`
  Replaces DS password. This might be convenient if one does not want to recreate the DS user.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### rollbackDirectoryServiceUserCreation

    protected void rollbackDirectoryServiceUserCreation()

  Description copied from class: `UserManager`
  Deletes DS user.

  (Unpublished)

### createDirectoryUser

    protected void createDirectoryUser()
                                throws IfsException

  Description copied from class: `UserManager`
  Creates an iFS DirectoryUser.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### createHomeFolder

    protected void createHomeFolder()
                             throws IfsException

  Description copied from class: `UserManager`
  Creates an iFS Folder that would serve as the home folder for DirectoryUser being created.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### createContentQuota

    protected void createContentQuota()
                               throws IfsException

  Description copied from class: `UserManager`
  Creates an iFS ContentQuota object that would hold quota related information.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### createPrimaryUserProfile

    protected void createPrimaryUserProfile()
                                     throws IfsException

  Description copied from class: `UserManager`
  Creates an iFS PrimaryUserProfile that would hold profile information for DirectoryUser being created.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### determineCreateUserSettings

    protected void determineCreateUserSettings(PropertyBundle pb,
                                               java.util.Hashtable options)
                                        throws IfsException

  Description copied from class: `UserManager`
  Determines the settings for user creation, first using the values int the options Hashtable, second using the values in the PropertyBundle holding the default values.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### registerCreateUserOptions

    protected void registerCreateUserOptions()
                                      throws IfsException

  Description copied from class: `UserManager`
  Registers the options for user creation.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### registerCreateUserOption

    protected void registerCreateUserOption(java.lang.String optionName,
                                            int datatype,
                                            ClassDomain domain)
                                     throws IfsException

  Description copied from class: `UserManager`
  Register one option.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### isValidCreateUserOption

    public boolean isValidCreateUserOption(java.lang.String optionName)
                                    throws IfsException

  Description copied from class: `UserManager`
  Checks if valid option. Returns true iff a valid option.

  Returns:
    TRUE iff a valid option.
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### lookupCreateUserOptionDatatype

    public int lookupCreateUserOptionDatatype(java.lang.String optionName)
                                       throws IfsException

  Description copied from class: `UserManager`
  Returns Attribute.ATTRIBUTEDATATYPE_UNKNOWN if no such option; else returns datatypes defined in beans.Attribute

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### lookupCreateUserOptionClassDomain

    public ClassDomain lookupCreateUserOptionClassDomain(java.lang.String optionName)
                                                  throws IfsException

  Description copied from class: `UserManager`
  Returns ClassDomain (if any; null if none) for the option

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### resolveName

    protected java.lang.String resolveName(java.lang.String wholeName,
                                           java.lang.String prefix,
                                           java.lang.String suffix)

  Description copied from class: `UserManager`
  Concatenates the prefix, name, suffix.

  Returns:
    the concatenated String
  (Unpublished)

### getStringProperty

    protected java.lang.String getStringProperty(PropertyBundle pb,
                                                 java.util.Hashtable options,
                                                 java.lang.String key)
                                          throws IfsException

  Description copied from class: `UserManager`
  Gets the String value from the options Hashtable if specified, otherwise from the PropertyBundle.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getStringProperty

    protected java.lang.String getStringProperty(PropertyBundle pb,
                                                 java.util.Hashtable options,
                                                 java.lang.String key,
                                                 java.lang.String defaultValue)
                                          throws IfsException

  Description copied from class: `UserManager`
  Gets the String value from the options Hashtable if specified, or PropertyBundle, otherwise uses the default value passed in as a parameter.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getBooleanProperty

    protected boolean getBooleanProperty(PropertyBundle pb,
                                         java.util.Hashtable options,
                                         java.lang.String key,
                                         boolean defaultValue)
                                  throws IfsException

  Description copied from class: `UserManager`
  Gets the boolean value from the options Hashtable if specified, otherwise from the PropertyBundle.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getBooleanProperty

    protected java.lang.Boolean getBooleanProperty(PropertyBundle pb,
                                                   java.util.Hashtable options,
                                                   java.lang.String key)
                                            throws IfsException

  Description copied from class: `UserManager`
  Gets the boolean value from the options Hashtable if specified, or PropertyBundle, otherwise uses the default value passed in as a parameter.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getIntegerProperty

    protected int getIntegerProperty(PropertyBundle pb,
                                     java.util.Hashtable options,
                                     java.lang.String key,
                                     int defaultValue)
                              throws IfsException

  Description copied from class: `UserManager`
  Gets the int value from the options Hashtable if specified, otherwise from the PropertyBundle.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getIntegerProperty

    protected java.lang.Integer getIntegerProperty(PropertyBundle pb,
                                                   java.util.Hashtable options,
                                                   java.lang.String key)
                                            throws IfsException

  Description copied from class: `UserManager`
  Gets the int value from the options Hashtable if specified, or PropertyBundle, otherwise uses the default value passed in as a parameter.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getLongProperty

    protected long getLongProperty(PropertyBundle pb,
                                   java.util.Hashtable options,
                                   java.lang.String key,
                                   long defaultValue)
                            throws IfsException

  Description copied from class: `UserManager`
  Gets the long value from the options Hashtable if specified, otherwise from the PropertyBundle.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getLongProperty

    protected java.lang.Long getLongProperty(PropertyBundle pb,
                                             java.util.Hashtable options,
                                             java.lang.String key)
                                      throws IfsException

  Description copied from class: `UserManager`
  Gets the long value from the options Hashtable if specified, or PropertyBundle, otherwise uses the default value passed in as a parameter.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getAclProperty

    protected AccessControlList getAclProperty(PropertyBundle pb,
                                               java.util.Hashtable options,
                                               java.lang.String key)
                                        throws IfsException

  Description copied from class: `UserManager`
  Gets the ACL value from the options Hashtable if specified, otherwise from the PropertyBundle.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getAclHashtableProperty

    protected java.util.Hashtable getAclHashtableProperty(PropertyBundle pb,
                                                          java.util.Hashtable options,
                                                          java.lang.String key)
                                                   throws IfsException

  Description copied from class: `UserManager`
  If a hashtable is specified explicitly, then life is easy; otherwise, we have to lookup the PropertyBundle from the specified key, and convert that PB to a Hashtable of Acls

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getStringFromHashtable

    protected java.lang.String getStringFromHashtable(java.util.Hashtable ht,
                                                      java.lang.String key)
                                               throws IfsException

  Description copied from class: `UserManager`
  Allows for multiple specs of a String in the specified HT

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getBooleanFromHashtable

    protected java.lang.Boolean getBooleanFromHashtable(java.util.Hashtable ht,
                                                        java.lang.String key)
                                                 throws IfsException

  Description copied from class: `UserManager`
  Allows for multiple specs of a Boolean in the specified HT

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getIntegerFromHashtable

    protected java.lang.Integer getIntegerFromHashtable(java.util.Hashtable ht,
                                                        java.lang.String key)
                                                 throws IfsException

  Description copied from class: `UserManager`
  Allows for multiple specs of a Integer in the specified HT

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getLongFromHashtable

    protected java.lang.Long getLongFromHashtable(java.util.Hashtable ht,
                                                  java.lang.String key)
                                           throws IfsException

  Description copied from class: `UserManager`
  Allows for multiple specs of a Long in the specified HT

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### getAclFromHashtable

    protected AccessControlList getAclFromHashtable(java.util.Hashtable ht,
                                                    java.lang.String key)
                                             throws IfsException

  Description copied from class: `UserManager`
  Allows for multiple specs of a Acl in the specified HT

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### isDefinedInHashtable

    protected boolean isDefinedInHashtable(java.util.Hashtable options,
                                           java.lang.String key)

  Description copied from class: `UserManager`
  Checks whether this key is defined int he Hashtable already.

  (Unpublished)

### deleteUser

    public void deleteUser(java.lang.String username,
                           java.util.Hashtable options)
                    throws IfsException

  Description copied from class: `UserManager`
  Deletes an iFS user.

  Parameters:
    `username` - user name; can also be specified in the Hashtable as option UserName
    `options` - Hashtable of options which override the options contained in the named PropertyBundle IFS.ADK.CreateUserDefinitions.
  Throws:
    `IfsException` - if invalid args are specified
  (Published)

### freeHomeFolder

    protected void freeHomeFolder(DirectoryUser user)
                           throws IfsException

  Description copied from class: `UserManager`
  Frees the home folder.

  Parameters:
    `user` - the user to process
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### freeCredentialManagerUser

    protected void freeCredentialManagerUser(java.lang.String credentialManager,
                                             java.lang.String distinguishedName)
                                      throws IfsException

  Description copied from class: `UserManager`
  Frees the CredentialManager user.

  Parameters:
    `cm` - the CredentialManager to use
    `dn` - the distinguished name of the user to free
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### freeDirectoryUser

    protected void freeDirectoryUser(DirectoryUser user)
                              throws IfsException

  Description copied from class: `UserManager`
  Frees the iFS DirectoryUser and changes ownership of existing objects if desired.

  Parameters:
    `user` - the user to free
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### lookupUser

    protected DirectoryUser lookupUser(java.lang.String username)
                                throws IfsException

  Description copied from class: `UserManager`
  Looks up an iFS DirectoryUser, and throw an exception if not found.

  Returns:
    the user
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### normalizeOptionsHashtable

    public java.util.Hashtable normalizeOptionsHashtable(java.util.Hashtable oldTable)
                                                  throws IfsException

  Description copied from class: `UserManager`
  Normalizes the options Hashtable so that the keys are all uppercase.

  Parameters:
    `oldTable` - original mixed-case keys Hashtable
  Returns:
    new Hashtable with keys in uppercase.
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD